[med-svn] [Git][med-team/gdcm][master] 6 commits: Add autopkgtests
Mohd Bilal (@rmb)
gitlab at salsa.debian.org
Sun Jul 3 21:17:32 BST 2022
Mohd Bilal pushed to branch master at Debian Med / gdcm
Commits:
cfd72cb4 by Mohammed Bilal at 2022-06-26T21:58:25+00:00
Add autopkgtests
- - - - -
e9ea4924 by Mohammed Bilal at 2022-06-26T21:58:43+00:00
Install example data
- - - - -
5fb93f57 by Mohammed Bilal at 2022-06-26T21:59:03+00:00
add example data to d/s/include-binaries
- - - - -
7bfd229e by Mohammed Bilal at 2022-06-26T21:59:25+00:00
Add copyright for test data
- - - - -
bf647af8 by Mohammed Bilal at 2022-07-03T19:12:25+00:00
Fix run-unit-test
- - - - -
5bbff10e by Mohammed Bilal at 2022-07-03T20:17:08+00:00
Update changelog
- - - - -
8 changed files:
- debian/changelog
- debian/copyright
- + debian/examples
- + debian/source/include-binaries
- + debian/tests/README
- + debian/tests/control
- + debian/tests/data/gdcm-US-ALOKA-16.dcm
- + debian/tests/run-unit-test
Changes:
=====================================
debian/changelog
=====================================
@@ -1,3 +1,12 @@
+gdcm (3.0.13-2) UNRELEASED; urgency=medium
+
+ * Add autopkgtests
+ * Install example data
+ * add example data to d/s/include-binaries
+ * Add copyright for test data
+
+ -- Mohammed Bilal <mdbilal at disroot.org> Sun, 03 Jul 2022 20:16:46 +0000
+
gdcm (3.0.13-1) unstable; urgency=medium
* Team upload.
=====================================
debian/copyright
=====================================
@@ -428,6 +428,10 @@ License: socketxx
paragraph are preserved on all copies. This software is provided "as is"
with no express or implied warranty
+Files: debian/tests/data/gdcm-US-ALOKA-16.dcm
+Copyright: 2006-2011 Mathieu Malaterre
+License: Apache-2.0
+
License: Apache-2.0
On Debian GNU/Linux system you can find the complete text of the
Apache 2.0 license in '/usr/share/common-licenses/Apache-2.0'.
=====================================
debian/examples
=====================================
@@ -0,0 +1 @@
+debian/tests/data/gdcm-US-ALOKA-16.dcm
=====================================
debian/source/include-binaries
=====================================
@@ -0,0 +1 @@
+debian/tests/data/gdcm-US-ALOKA-16.dcm
=====================================
debian/tests/README
=====================================
@@ -0,0 +1,5 @@
+Tests for gdcm
+=================
+
+The data for tests has been referenced from:
+ https://sourceforge.net/p/gdcm/gdcmdata/ci/master/tree/gdcm-US-ALOKA-16.dcm
=====================================
debian/tests/control
=====================================
@@ -0,0 +1,3 @@
+Tests: run-unit-test
+Depends: @
+Restrictions: allow-stderr
=====================================
debian/tests/data/gdcm-US-ALOKA-16.dcm
=====================================
Binary files /dev/null and b/debian/tests/data/gdcm-US-ALOKA-16.dcm differ
=====================================
debian/tests/run-unit-test
=====================================
@@ -0,0 +1,43 @@
+#!/bin/bash
+set -e
+
+pkg=libgdcm3.0
+
+export LC_ALL=C.UTF-8
+if [ "${AUTOPKGTEST_TMP}" = "" ] ; then
+ AUTOPKGTEST_TMP=$(mktemp -d /tmp/${pkg}-test.XXXXXX)
+ trap "rm -rf ${AUTOPKGTEST_TMP}" 0 INT QUIT ABRT PIPE TERM
+fi
+
+cp -a /usr/share/doc/${pkg}/examples/* "${AUTOPKGTEST_TMP}"
+
+cd "${AUTOPKGTEST_TMP}"
+
+echo "20e289bad9be67e22d179174f3bc1694 output.dcm" >> checksums
+echo "f85ff02a143c426edc4b2f6b9a175305 jpeg" >> checksums
+echo "89fe9eab980f09ddbcd2c7f040b36d24 output_black.dcm" >> checksums
+
+echo -e "\e[93m\e[1mRunning Tests\e[0m"
+
+gdcmanon --password password -r --continue -e gdcm-US-ALOKA-16.dcm anon.dcm
+
+echo -e "\e[92m\e[1mPASS\e[0m"
+
+gdcminfo gdcm-US-ALOKA-16.dcm
+
+echo -e "\e[92m\e[1mPASS\e[0m"
+
+gdcmimg --fill 0 --region 0,100,0,100 -i gdcm-US-ALOKA-16.dcm -o output_black.dcm
+
+gdcmconv gdcm-US-ALOKA-16.dcm output.dcm
+
+gdcmraw --split-frags -i gdcm-US-ALOKA-16.dcm -o jpeg --pattern %02d.ljpeg
+
+md5sum --check checksums
+
+echo -e "\e[92m\e[1mPASS\e[0m"
+
+gdcmdump output.dcm
+
+echo -e "\e[92m\e[1mPASS\e[0m"
+
View it on GitLab: https://salsa.debian.org/med-team/gdcm/-/compare/677e96e9a79132d753182642513823d9d69b2243...5bbff10e73313d76eeeabecad507f03fe3f972f8
--
View it on GitLab: https://salsa.debian.org/med-team/gdcm/-/compare/677e96e9a79132d753182642513823d9d69b2243...5bbff10e73313d76eeeabecad507f03fe3f972f8
You're receiving this email because of your account on salsa.debian.org.
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://alioth-lists.debian.net/pipermail/debian-med-commit/attachments/20220703/98eaf8c7/attachment-0001.htm>
More information about the debian-med-commit
mailing list